MinutiaeRepair = Minutiae:NewModule("MinutiaeRepair", "AceConsole-3.0", "AceEvent-3.0")

function MinutiaeRepair:OnEnable()
	self:RegisterEvent("MERCHANT_SHOW")
	if not Minutiae.db.global.repair then
		self:Disable()
	end
end

function MinutiaeRepair:OnDisable()
	self:UnregisterEvent("MERCHANT_SHOW")
end

function MinutiaeRepair:MERCHANT_SHOW()
    local repairCost, canRepair = GetRepairAllCost()
	if canRepair then
		if not Minutiae.db.global.repairSelfless and repairCost < GetGuildBankMoney() then
			if GetGuildBankWithdrawMoney() > repairCost then
				print("|cFFFF0000Minutiae|r: Repair costs: "..GetCoinTextureString(repairCost).." (Guild)")
				RepairAllItems(1)
				return
			else
                RepairAllItems()
				print("|cFFFF0000Minutiae|r: Repair costs: "..GetCoinTextureString(repairCost).." (Insufficient Guild Funds or Cannot Withdraw)")
			end
		elseif GetMoney() > repairCost then
			    print("|cFFFF0000Minutiae|r: Repair costs: "..GetCoinTextureString(repairCost).." (Repaired)")
			    RepairAllItems()
		else
			print("|cFFFF0000Minutiae|r: Repair costs: "..GetCoinTextureString(repairCost).." (Insufficient Funds)")
		end
	end
end
